### Method

# Gtk IconView enable_model_drag_source

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_enable_model_drag_source (
      GtkIconView* icon_view,
      GdkModifierType start_button_mask,
      GdkContentFormats* formats,
      GdkDragAction actions
    )

#### Description [src]

Turns `icon_view` into a drag source for automatic DND. Calling this method sets `GtkIconView`:reorderable to `FALSE`.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`start_button_mask`

  Type: `GdkModifierType`

  Mask of allowed buttons to start drag.

`formats`

  Type: `GdkContentFormats`

  The formats that the drag will support.

  The data is owned by the caller of the method.

`actions`

  Type: `GdkDragAction`

  The bitmask of possible actions for a drag from this widget.